/*

Script  : Main JS
Version : 1.0
Author  : Surjith S M
URI     : http://themeforest.net/user/surjithctly

Copyright © All rights Reserved
Surjith S M / @surjithctly

*/

(function($){ 
  "use strict";

    /* ================================================
       On Scroll Menu
       ================================================ */

    $(window).scroll(function() {
        if ($(window).scrollTop() > 600) {
            $('.js-reveal-menu').removeClass('reveal-menu-hidden').addClass('reveal-menu-visible');
        } else {
            $('.js-reveal-menu').removeClass('reveal-menu-visible').addClass('reveal-menu-hidden');
        }
    });

    /* ================================================
       Date Picker - Sugar.js
       ================================================ */

    if ($('#human_date').length) {

        var el = $('#human_date');
        var dateinput = $('input', el);
        var output = $('.date-output', el);
        var output_val = $('#date_time', el);
        dateinput.keyup(function() {
            var val = dateinput.val().trim();
            if (/^\d+$/.test(val)) {
                val = val.toNumber();
            }
            var text, date = Date.create(String(val));

            if (!dateinput.val().length > 0) {
                text = ''
            } else if (!date.isValid()) {
                text = 'Please enter a valid date'
            } else if (date.isPast()) {
                text = 'Please enter a future date.'
            } else {
                text = date.format('{Weekday}, {Month} {ord}, {year} {h}:{mm} {tt}');
                output_val.val(text);
            }
            output.text(text);
        });

    }

    /* ================================================
       Scroll Functions
       ================================================ */

    $(window).scroll(function() {
        if ($(window).scrollTop() > 1000) {
            $('.back_to_top').fadeIn('slow');
        } else {
            $('.back_to_top').fadeOut('slow');
        }
    });


    $('a[href^=#]:not([href=#])').on('click', function(event) {
        if(!$(this).parent('li').hasClass('vc_tta-tab') && !$(this).parent('h4').hasClass('vc_tta-panel-title')){
        var $anchor = $(this);
        $('html, body').stop().animate({
            scrollTop: $($anchor.attr('href')).offset().top - 80
        }, 700);
        event.preventDefault();
    }
    });

    $( '.ot-tabs .vc_tta-tab' ).on( 'click', 'a', function( e ) {

        $( '.ot-tabs .vc_tta-tabs-list' ).find( '.vc_tta-tab' ).removeClass( 'vc_active' );
        $( this ).parent().addClass( 'vc_active' );
        var id = $( this ).attr( 'href' ).replace( '#', '' );
        $( '.ot-tabs .vc_tta-panels' ).find( '.vc_tta-panel' ).removeClass( 'vc_active').hide();
        $( '.ot-tabs .vc_tta-panels' ).find( '#' + id ).addClass( 'vc_active' ).show();

        return false;
    } );

    $(".owl-post").owlCarousel({
        navigation : false,
        slideSpeed : 300,
        paginationSpeed : 400,
        singleItem:true
    });

    $(window).load(function(){
      $(".twentytwenty-container").twentytwenty({default_offset_pct: 0.51});
    });
    

})(jQuery);