<?php

/**
 * Template Name: Full Width
 */

get_header(); ?>

<?php
    $bg = '';
    if ( ! function_exists('rwmb_meta') ) { 
        $bg = '';
    }else{
        $images = rwmb_meta('_cmb_bg_header', "type=image" ); 
        if(!$images){
             $bg = '';
        } else {
             foreach ( $images as $image ) { 
                $bg = $image['full_url']; 
                break;
            }
        }
    }
   
?>

<?php $img = mediclick_get_option( 'page_header_bg' ) ? mediclick_get_option( 'page_header_bg' ) : ''; ?>
<?php $img_src = $bg ? $bg : $img; ?>

<div id="subheader" <?php if($img_src) { ?> style="background-image: url(<?php echo esc_url($img_src); ?>);" <?php } ?>>  
    <?php if(mediclick_get_option('page_header')){ ?>            
    <div class="pattern">
        <h1><?php the_title(); ?></h1>
    </div>
    <?php } ?>
</div>

<!-- subheader close -->

<!-- content begin -->

<div id="content">

    <div class="container">

        <div class="row">

            <div class="col-md-12">

                <div class="blog-list">
                    <article>
                    <?php while (have_posts()) : the_post()?>
                        <?php the_content(); ?>

                        <?php
                            wp_link_pages( array(
                                'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'mediclick' ) . '</span>',
                                'after'       => '</div>',
                                'link_before' => '<span>',
                                'link_after'  => '</span>',
                                'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'mediclick' ) . ' </span>%',
                                'separator'   => '<span class="screen-reader-text">, </span>',
                            ) );
                        ?>
                        
                        <?php

                         if ( comments_open() || get_comments_number() ) :
                          comments_template();
                         endif;
                        ?>
                    <?php endwhile; ?>
                    </article>
                </div>

            </div>

        </div>

    </div>

</div>

<!-- content close -->

<?php get_footer(); ?>

