<?php 

// Buttons

add_shortcode('button', 'button_func');
function button_func($atts, $content = null){

	extract(shortcode_atts(array(
		'btntext' 	=> '',
		'btnlink' 	=> '',
		'color'		  => '',
		'type'		  => '',
    'size'      => '',
		'radius'		=> '',
	), $atts));
	ob_start(); ?>
	<?php 
    $type1 = ' btn-success';
    $size2 = '';
    $rad = '';

    if($size == 'small'){
      $size2 = ' btn-sm';
    }elseif($size == 'large'){
      $size2 = ' btn-lg';
    }elseif($size == 'xlarge'){
      $size2 = ' btn-xl';
    }
    if($radius == 'true'){
      $rad = ' no-radius';
    }
  ?>
  <a href="<?php echo esc_url($btnlink); ?>" class="btn<?php echo esc_attr($size2.$type1.$rad); ?>"><?php echo esc_attr($btntext); ?></a>
  
  <?php return ob_get_clean();
}



// Pricing Table

add_shortcode('pricingtable', 'pricingtable_func');
function pricingtable_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'    => '',
    'curr'     => '',
    'price'    => '',
    'linkbox'  => '',
    'featured' => '',
  ), $atts));
  $fea = '';
  if($featured == 'true'){
    $fea = ' highlighted-plan';
  }
  $url = vc_build_link( $linkbox );
  ob_start(); ?>

  <div class="pricing-item<?php echo esc_attr($fea);?>" data-wow-duration="2s">
      <div class="plan-name"><?php echo htmlspecialchars_decode($title); ?></div>
      <div class="price"><span class="curr"><?php echo esc_html($curr); ?></span><?php echo htmlspecialchars_decode($price); ?></div>
      <div class="plan-features">
          <?php echo htmlspecialchars_decode($content); ?>
      </div>
      <?php if($featured == 'true') { 
        echo '<a class="btn btn-success btn-lg" href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">'. esc_attr( $url['title'] ) .'</a>';
      }else{
        echo '<a class="btn btn-outline btn-lg" href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '">'. esc_attr( $url['title'] ) .'</a>';
      } ?>
  </div>

  <?php
    return ob_get_clean();
}


// Socials
add_shortcode('otsocial', 'otsocial_func');
function otsocial_func($atts, $content = null){
  extract(shortcode_atts(array(
    'icon'   =>  '',
    'link'   =>  '',
  ), $atts));
  ob_start(); ?>


  <div class="social-icons small top-space">
    <a href="<?php echo esc_url($link); ?>" target="_blank"> <i class="<?php echo esc_attr($icon); ?>"></i> </a>
  </div>
  

  <?php

    return ob_get_clean();
}

// Video
add_shortcode('otvideo', 'otvideo_func');
function otvideo_func($atts, $content = null){
  extract(shortcode_atts(array(
    'link'   =>  '',
  ), $atts));
  ob_start(); ?>


  <div class="embed-responsive embed-responsive-16by9">
    <iframe src="<?php echo esc_url( $link ); ?>"></iframe>
  </div>
  

  <?php

    return ob_get_clean();
}


// Services
add_shortcode('services', 'services_func');
function services_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'   =>  '',
    'photo'   =>  '',
    'link'    =>  '',
  ), $atts));
  $img = wp_get_attachment_image_src($photo,'full');
  $img = $img[0];
  ob_start(); ?>


  <div class="thumbnail">
      <?php if($link) { ?><a href="<?php echo esc_url($link); ?>"><img src="<?php echo esc_url($img); ?>" alt=""></a><?php }else{ ?>
      <img src="<?php echo esc_url($img); ?>" alt=""><?php } ?>
      <div class="caption">
          <h6 class="caption-title">
            <?php if($link) { ?><a href="<?php echo esc_url($link); ?>"><?php echo htmlspecialchars_decode($title); ?></a><?php }else{ echo htmlspecialchars_decode($title); } ?>
          </h6>
          <div class="caption-text"><?php echo htmlspecialchars_decode($content); ?></div>
      </div>
  </div>
  

  <?php

    return ob_get_clean();
}

// Features
add_shortcode('featuresbox', 'featuresbox_func');
function featuresbox_func($atts, $content = null){
  extract(shortcode_atts(array(
    'title'   =>  '',
    'icon1'   =>  '',
    'icon2'   =>  '',
    'type'    =>  '',
  ), $atts));

  ob_start(); ?>

  <div class="benefits<?php if($type == 'type2') echo ' benefits-vertical'; ?>">
    <div class="benefit-item">
        <div class="benefit-icon">
        <?php if($icon2) { ?>
        <i class="icon icon-<?php echo esc_attr($icon2); ?>"></i>
        <?php }else{ ?>
        <i class="<?php echo esc_attr($icon1); ?>"></i>
        <?php } ?>
        </div>
        <h6 class="benefit-title"><?php echo htmlspecialchars_decode($title); ?></h6>
        <p><?php echo htmlspecialchars_decode($content); ?></p>
    </div>
  </div> 

  <?php

    return ob_get_clean();
}

// Our Team
add_shortcode('ourteam', 'ourteam_func');
function ourteam_func($atts, $content = null){
  extract(shortcode_atts(array(
    'name'    =>  '',
    'photo'   =>  '',
    'job'     =>  '',
    'social'  =>  '',
  ), $atts));
  $img = wp_get_attachment_image_src($photo,'full');
  $img = $img[0];
  $socials = (array) vc_param_group_parse_atts( $social );
  ob_start(); ?>

  <div class="staff-member"> 
    <img src="<?php echo esc_url($img); ?>" alt="" class="img-responsive center-block" />
    <p><strong><?php echo htmlspecialchars_decode($name); ?></strong>
    <br><small><?php echo htmlspecialchars_decode($job); ?></small></p>
    <div class="social-icons small top-space">
        <?php foreach ( $socials as $soc ) { ?>
        <a href="<?php echo esc_url($soc['link']); ?>" target="_blank"><i class="fa <?php echo esc_attr($soc['icon']); ?>"></i></a>
        <?php } ?>
    </div>
  </div>

  <?php

    return ob_get_clean();
}

// Compare Image
add_shortcode('compareimg', 'compareimg_func');
function compareimg_func($atts, $content = null){
  extract(shortcode_atts(array(
    'image1'   =>  '',
    'image2'   =>  '',
    'bf'       =>  'Before',
    'af'       =>  'After',
  ), $atts));
  $img1 = wp_get_attachment_image_src($image1,'full');
  $img1 = $img1[0];
  $img2 = wp_get_attachment_image_src($image2,'full');
  $img2 = $img2[0];
  ob_start(); ?>

  <div class="twentytwenty-container">
    <img src="<?php echo esc_url($img1); ?>" alt="">
    <img src="<?php echo esc_url($img2); ?>" alt="">
  </div>

  <style type="text/css">
    .twentytwenty-before-label:before {
      content: "<?php echo esc_attr($bf); ?>"; 
    }
    .twentytwenty-after-label:before {
      content: "<?php echo esc_attr($af); ?>"; 
    }
  </style>

  <?php
  return ob_get_clean();
}


// Testimonial

add_shortcode('testitem','testitem_func');

function testitem_func($atts, $content = null){

	extract(shortcode_atts(array(

    'name'   =>   '',
    'photo'  =>   '',
    'extra'  =>   '',
		'type'	 =>		'',

	), $atts));
  $img = wp_get_attachment_image_src($photo,'full');
  $img = $img[0];
	ob_start(); ?>

  <?php if($type == 'type2') { ?>
  <div class="row">
      <div class="col-sm-2 col-sm-push-9">
          <img src="<?php echo esc_url($img); ?>" class="img-responsive img-circle center-block" alt="">
      </div>
      <div class="col-sm-9 col-sm-pull-2">
          <blockquote class="bq-left quote"><?php echo htmlspecialchars_decode($content); ?></blockquote>
          <p class="text-right bq-author"><strong> <span class="text-highlight"><?php echo htmlspecialchars_decode($name); ?></span></strong><?php if($extra) { ?>, <?php echo htmlspecialchars_decode($extra); } ?></p>
      </div>
  </div>
  <?php }else{ ?>
  <div class="row">
      <div class="col-sm-2">
          <img src="<?php echo esc_url($img); ?>" class="img-responsive img-circle center-block" alt="">
      </div>
      <div class="col-sm-9">
          <blockquote class="bq-right quote"><?php echo htmlspecialchars_decode($content); ?></blockquote>
          <p class="bq-author"><strong><span class="text-highlight"><?php echo htmlspecialchars_decode($name); ?></span></strong><?php if($extra) { ?>, <?php echo htmlspecialchars_decode($extra); } ?></p>
      </div>
  </div>
  
  <?php } ?>

	<?php

    return ob_get_clean();

}


// Google Map

add_shortcode('ggmap','ggmap_func');
function ggmap_func($atts, $content = null){
    extract( shortcode_atts( array(
      'idmap'    => 'map-canvas',
      'height'   => '',	
      'lat'      => '',
      'long'     => '',
      'zoom'     => '',
      'address'  => '',
      'mapcolor' => '',
      'icon'     => '',
   ), $atts ) );
   
   $icon1 = wp_get_attachment_image_src($icon,'full');
   $icon1 = $icon1[0];
   if(!$zoom){
   	$zoom = 13;
   }
   		
    ob_start(); ?>
    	 
    <div id="<?php echo esc_attr( $idmap ); ?>" class="contacts-map" style="<?php if($height) echo 'height: '.$height.'px;'; ?>"></div>

    <script type="text/javascript">
  
  (function($) {
    "use strict"
    $(document).ready(function(){
        
        var locations = [
      ['', <?php echo esc_js( $lat );?>, <?php echo esc_js( $long );?>, 2]
        ];
  
    var map = new google.maps.Map(document.getElementById('<?php echo esc_js( $idmap ); ?>'), {
      zoom: <?php echo esc_js( $zoom );?>,
      scrollwheel: false,
      navigationControl: true,
      mapTypeControl: false,
      scaleControl: false,
      draggable: true,
      styles: [ { "stylers": [ { "hue": "<?php echo esc_js( $mapcolor );?>" }, { "gamma": 1 } ] } ],
      center: new google.maps.LatLng(<?php echo esc_js( $lat );?>, <?php echo esc_js( $long );?>),
      mapTypeId: google.maps.MapTypeId.ROADMAP
    });
  
    var infowindow = new google.maps.InfoWindow();
  
    var marker, i;
  
    for (i = 0; i < locations.length; i++) {  
    
      marker = new google.maps.Marker({ 
      position: new google.maps.LatLng(locations[i][1], locations[i][2]), 
      map: map ,
      icon: '<?php echo esc_js( $icon1 );?>'
      });
    
      google.maps.event.addListener(marker, 'click', (function(marker, i) {
      return function() {
        //infowindow.setContent(locations[i][0]);
        //infowindow.open(map, marker);
      }
      })(marker, i));
    }
        
        });
    })(jQuery);     
    </script>
<?php

    return ob_get_clean();

}